maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Benedict (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (MNG-5904) Remove the whole Ant Build
Date Mon, 23 Nov 2015 20:15:11 GMT

    [ https://issues.apache.org/jira/browse/MNG-5904?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15022898#comment-15022898
] 

Paul Benedict commented on MNG-5904:
------------------------------------

With OpenJDK, they have a JDK-1 build policy. That is that JDK 9, for example, must be able
to be compiled with JDK 8. If you plan on bootstrapping Maven with Maven, I think some sort
of policy needs to be define. Perhaps it's based on minor version, for example: 3.4 requires
that any 3.3.x Maven must be able to build it. WDYT?

> Remove the whole Ant Build
> --------------------------
>
>                 Key: MNG-5904
>                 URL: https://issues.apache.org/jira/browse/MNG-5904
>             Project: Maven
>          Issue Type: Improvement
>          Components: core
>    Affects Versions: 3.4.0
>            Reporter: Karl Heinz Marbaise
>            Priority: Minor
>             Fix For: 3.4.0
>
>
> We should remove the whole Ant build cause we have a large number of Maven versions which
could be used to start building Maven itself.
> So i don't see any usefulness in it anymore.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message